import 'package:niogu_app/features/customer/domain/entities/customer.dart';

abstract class ICustomerRepository {
  Stream<List<DisplayCustomers>> watchCustomers();

  Future<CustomerDetail> fetchCustomerById(String id);

  Stream<List<CustomerAddress>> watchCustomerAddresses(String customerId);

  Stream<List<CustomerActivities>> watchCustomerActivities(String customerId);

  Future<int> saveCustomer(UpsertCustomer customer);

  Future<int> deleteCustomer(String id);
}
